Summary: Math-GMP - High speed arbitrary size integer math
Name: perl-Math-GMP
Version: 2.03
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Math-GMP-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{name}

%description
Math::GMP was designed to be a drop-in replacement both for Math::BigInt and for regular integer arithmetic. Unlike BigInt, though, Math::GMP uses the GNU gmp library for all of its calculations, as opposed to straight Perl functions. This can result in speed improvements.

%prep
%setup -q -n Math-GMP-%{version}

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/usr INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Math-GMP-%{version}-filelist
if [ "$(cat Math-GMP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Math-GMP-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0

